{
  "schema_version": "1.4.0",
  "id": "GHSA-x9pf-gc5f-vghh",
  "modified": "2025-04-20T03:39:25Z",
  "published": "2022-05-14T02:19:49Z",
  "aliases": [
    "CVE-2012-6706"
  ],
  "details": "A VMSF_DELTA memory corruption was discovered in unrar before 5.5.5, as used in Sophos Anti-Virus Threat Detection Engine before 3.37.2 and other products, that can lead to arbitrary code execution. An integer overflow can be caused in DataSize+CurChannel. The result is a negative value of the \"DestPos\" variable, which allows the attacker to write out of bounds when setting Mem[DestPos].",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-6706"
    },
    {
      "type": "WEB",
      "url": "https://bugs.chromium.org/p/project-zero/issues/detail?id=1286"
    },
    {
      "type": "WEB",
      "url": "https://community.sophos.com/kb/en-us/118424#six"
    },
    {
      "type": "WEB",
      "url": "https://kc.mcafee.com/corporate/index?page=content&id=SB10205"
    },
    {
      "type": "WEB",
      "url": "https://lock.cmpxchg8b.com/sophailv2.pdf"
    },
    {
      "type": "WEB",
      "url": "https://nakedsecurity.sophos.com/2012/11/05/tavis-ormandy-sophos"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201708-05"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201709-24"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201804-16"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1027725"
    },
    {
      "type": "WEB",
      "url": "http://telussecuritylabs.com/threats/show/TSL20121207-01"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-06-22T13:29:00Z"
  }
}